> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new brand.

> Creates a new brand with the specified details. Returns the created brand.



## OpenAPI

````yaml /openapi/external.enriched.json post /api/brands
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/brands:
    post:
      tags:
        - Brands
      summary: Creates a new brand.
      description: >-
        Creates a new brand with the specified details. Returns the created
        brand.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandCreateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/BrandCreateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BrandCreateDto'
        required: true
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfBrandDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfBrandDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfBrandDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '409':
          description: Conflict
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    BrandCreateDto:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
        zipCode:
          type: string
        city:
          type: string
        stateOrProvince:
          type: string
        countryId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        state:
          $ref: '#/components/schemas/BrandState'
        userDefinedId:
          type:
            - 'null'
            - string
      additionalProperties: false
    ApiResponseOfBrandDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BrandDto'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    BrandState: {}
    ApiResponseStatus: {}
    BrandDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        state:
          $ref: '#/components/schemas/BrandState'
        properties:
          type: array
          items:
            type: string
        address:
          type: string
        zipCode:
          type: string
        city:
          type: string
        stateOrProvince:
          type: string
        country:
          $ref: '#/components/schemas/Country'
        logo:
          $ref: '#/components/schemas/FileResource'
        marginFactor:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        userDefinedId:
          type: string
        logoThumbnails:
          type: array
          items:
            $ref: '#/components/schemas/FileResource'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    Country:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        code:
          type:
            - 'null'
            - string
      additionalProperties: false
    FileResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type:
            - 'null'
            - string
        url:
          type:
            - 'null'
            - string
        metadata:
          type:
            - 'null'
            - string
        size:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        fileWidth:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        fileHeight:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        provider:
          type:
            - 'null'
            - string
        createdBy:
          $ref: '#/components/schemas/User'
        createdOn:
          type: string
          format: date-time
        storageLocation:
          type:
            - 'null'
            - string
        relatedEntityType:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/EntityType'
        relatedEntityId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        createdByOrganizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        isLink:
          type: boolean
        isDeletedFromS3:
          type: boolean
        resourceThumbnailAssociation:
          $ref: '#/components/schemas/ResourceThumbnailAssociation'
        thumbnails:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/FileResource'
        fileIconUrl:
          type:
            - 'null'
            - string
        thumbnailNotFound:
          type: boolean
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    User:
      required:
        - loginId
        - name
        - email
      type: object
      properties:
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        organizationTypeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        organizationType:
          $ref: '#/components/schemas/OrganizationType'
        id:
          type: string
          format: uuid
        activeUsersLimit:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        loginId:
          type: string
          format: uuid
        name:
          type:
            - 'null'
            - string
        firstName:
          type:
            - 'null'
            - string
        lastName:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        password:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        organization:
          $ref: '#/components/schemas/Organization'
        designerOrganization:
          $ref: '#/components/schemas/DesignerOrganization'
        associatedDesignerOrganizations:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/DesignerOrganization'
        accessToAllBrands:
          type: boolean
        isTaskOrContactsAssign:
          type: boolean
        brands:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Brand'
        adminUnits:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/AdminUnit'
        adminFacilityType:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/AdminFacilityType'
        roles:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Role'
        roleNames:
          type:
            - 'null'
            - array
          items:
            type: string
        permissions:
          type:
            - 'null'
            - array
        permissionStrings:
          type:
            - 'null'
            - array
          items:
            type: string
        listenStyleMessages:
          type: boolean
        listenStyleSampleRequest:
          type: boolean
        listenItemMessages:
          type: boolean
        listenItemSampleRequest:
          type: boolean
        displayStyleProperty:
          $ref: '#/components/schemas/ListDisplayProperty'
        displayItemProperty:
          $ref: '#/components/schemas/ListDisplayProperty'
        outOfOfficeFromDate:
          type:
            - 'null'
            - string
          format: date-time
        outOfOfficeToDate:
          type:
            - 'null'
            - string
          format: date-time
        outOfOfficeMessage:
          type:
            - 'null'
            - string
        environment:
          type:
            - 'null'
            - string
        planTier:
          type:
            - 'null'
            - string
        planType:
          type:
            - 'null'
            - string
        isSeasonAccessible:
          type: boolean
        signUpDate:
          type: string
          format: date-time
        acceptTermRequired:
          type: boolean
        termFileResource:
          $ref: '#/components/schemas/FileResource'
        customTermName:
          type:
            - 'null'
            - string
        isLoginHasCustomTermModuleAccess:
          type: boolean
        notifyForComplianceMessages:
          type: boolean
        notifyForComplianceQualityTopicMessages:
          type: boolean
        isUserOutOfOffice:
          type: boolean
        outOfOfficeNotifyMessage:
          type:
            - 'null'
            - string
        userTransfer:
          $ref: '#/components/schemas/UserTransfer'
        isPauseNotification:
          type: boolean
        isTwoFactorEnabled:
          type: boolean
        isQRCodeGenerated:
          type: boolean
        criticalPlatformUpdatesSubscription:
          type: boolean
        platformNewsletterSubscription:
          type: boolean
        systemAndConfigurationUpdatesSubscription:
          type: boolean
        showStyleMainTab:
          type: boolean
        showStyleRecentTab:
          type: boolean
        showItemMainTab:
          type: boolean
        showItemRecentTab:
          type: boolean
        signalrHubUrl:
          type:
            - 'null'
            - string
        signalrHubToken:
          type:
            - 'null'
            - string
        delogueTerm:
          $ref: '#/components/schemas/DelogueTerm'
        userCookies:
          type:
            - 'null'
            - array
        apiHostUrl:
          type:
            - 'null'
            - string
        avatarColor:
          type:
            - 'null'
            - string
        userCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        isSuperadmin:
          type: boolean
        showExtensionsTab:
          type: boolean
        supplierRoles:
          type:
            - 'null'
            - string
      additionalProperties: false
    EntityType: {}
    ResourceThumbnailAssociation:
      type: object
      properties:
        resourceId:
          type: string
          format: uuid
        thumbnailResourceId:
          type: string
          format: uuid
      additionalProperties: false
    OrganizationType: {}
    Organization:
      required:
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        typeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        stateOrRegion:
          type:
            - 'null'
            - string
        webSite:
          type:
            - 'null'
            - string
        phoneNumber:
          type:
            - 'null'
            - string
        faxNumber:
          type:
            - 'null'
            - string
        vatNumber:
          type:
            - 'null'
            - string
        localCurrency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        isActive:
          type: boolean
        isUniqueStyleNumber:
          type: boolean
        isAutoStyleNumberOn:
          type: boolean
        isStyleNumberGeneratorActive:
          type: boolean
        userDefinedSupplierId:
          type:
            - 'null'
            - string
        modules:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Module'
        createdDate:
          type: string
          format: date-time
        expiryDate:
          type:
            - 'null'
            - string
          format: date-time
        companyType:
          $ref: '#/components/schemas/CompanyType'
        brands:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Brand'
        styleServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        ftpStyleExportTime:
          $ref: '#/components/schemas/FTPExportTime'
        itemServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        ftpItemExportTime:
          $ref: '#/components/schemas/FTPExportTime'
        supplierServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        isStyleSupplier:
          type: boolean
        isItemSupplier:
          type: boolean
        priceSettings:
          $ref: '#/components/schemas/PriceSettings'
        rootFolderToSync:
          type:
            - 'null'
            - string
        supplierPortalEnabled:
          type: boolean
        inviteCode:
          type:
            - 'null'
            - string
        hubSpotRecordID:
          type:
            - 'null'
            - string
        auth0OrgId:
          type:
            - 'null'
            - string
        isAuth0Eligible:
          type: boolean
        brandNames:
          type:
            - 'null'
            - array
          items:
            type: string
      additionalProperties: false
    DesignerOrganization:
      required:
        - contactPerson
        - contactEmail
        - name
      type: object
      properties:
        contactPerson:
          type:
            - 'null'
            - string
        firstName:
          type:
            - 'null'
            - string
        lastName:
          type:
            - 'null'
            - string
        contactEmail:
          type:
            - 'null'
            - string
        integrationEmail:
          type:
            - 'null'
            - string
        activeUsersLimit:
          maximum: 999
          minimum: 1
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        planType:
          $ref: '#/components/schemas/PlanType'
        planTier:
          $ref: '#/components/schemas/PlanTier'
        logo:
          $ref: '#/components/schemas/FileResource'
        useLogoInEmailNotification:
          type: boolean
        isChurned:
          type: boolean
        onboardingStartDate:
          type:
            - 'null'
            - string
          format: date-time
        onboardingStatus:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        organizationSettings:
          $ref: '#/components/schemas/OrganizationSettings'
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        typeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        stateOrRegion:
          type:
            - 'null'
            - string
        webSite:
          type:
            - 'null'
            - string
        phoneNumber:
          type:
            - 'null'
            - string
        faxNumber:
          type:
            - 'null'
            - string
        vatNumber:
          type:
            - 'null'
            - string
        localCurrency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        isActive:
          type: boolean
        isUniqueStyleNumber:
          type: boolean
        isAutoStyleNumberOn:
          type: boolean
        isStyleNumberGeneratorActive:
          type: boolean
        userDefinedSupplierId:
          type:
            - 'null'
            - string
        modules:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Module'
        createdDate:
          type: string
          format: date-time
        expiryDate:
          type:
            - 'null'
            - string
          format: date-time
        companyType:
          $ref: '#/components/schemas/CompanyType'
        brands:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Brand'
        styleServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        ftpStyleExportTime:
          $ref: '#/components/schemas/FTPExportTime'
        itemServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        ftpItemExportTime:
          $ref: '#/components/schemas/FTPExportTime'
        supplierServiceDetails:
          $ref: '#/components/schemas/ServiceDetails'
        isStyleSupplier:
          type: boolean
        isItemSupplier:
          type: boolean
        priceSettings:
          $ref: '#/components/schemas/PriceSettings'
        rootFolderToSync:
          type:
            - 'null'
            - string
        supplierPortalEnabled:
          type: boolean
        inviteCode:
          type:
            - 'null'
            - string
        hubSpotRecordID:
          type:
            - 'null'
            - string
        auth0OrgId:
          type:
            - 'null'
            - string
        isAuth0Eligible:
          type: boolean
        brandNames:
          type:
            - 'null'
            - array
          items:
            type: string
      additionalProperties: false
    Brand:
      required:
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        status:
          type: boolean
        address:
          type:
            - 'null'
            - string
        zipCode:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
        country:
          $ref: '#/components/schemas/Country'
        logo:
          $ref: '#/components/schemas/FileResource'
        isDeleted:
          type: boolean
        deletedOn:
          type:
            - 'null'
            - string
          format: date-time
        marginFactor:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        userDefinedId:
          type:
            - 'null'
            - string
        logoThumbnails:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/FileResource'
        brandLogoUrl:
          type:
            - 'null'
            - string
      additionalProperties: false
    AdminUnit:
      required:
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        userDefinedId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        isFraction:
          type: boolean
        changes:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/EntityPropertyChange'
      additionalProperties: false
    AdminFacilityType:
      required:
        - name
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        userDefinedId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        isActive:
          type: boolean
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
      additionalProperties: false
    Role:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ListDisplayProperty: {}
    UserTransfer:
      type: object
      properties:
        userIdToTransferContacts:
          type:
            - 'null'
            - string
          format: uuid
        userIdToTransferTasks:
          type:
            - 'null'
            - string
          format: uuid
      additionalProperties: false
    DelogueTerm:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        loginId:
          type: string
          format: uuid
        acceptedTerms:
          type: boolean
        acceptedOn:
          type:
            - 'null'
            - string
          format: date-time
        withdrawnOn:
          type:
            - 'null'
            - string
          format: date-time
        lastUpdatedByIP:
          type:
            - 'null'
            - string
      additionalProperties: false
    Currency:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        countryCurrency:
          type:
            - 'null'
            - string
        currencyCode:
          type:
            - 'null'
            - string
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        isActive:
          type: boolean
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    Module:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        key:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    CompanyType:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ServiceDetails:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        serviceUrl:
          type:
            - 'null'
            - string
        userName:
          type:
            - 'null'
            - string
        password:
          type:
            - 'null'
            - string
        authenticationEndPoint:
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/ServiceType'
        entityType:
          $ref: '#/components/schemas/ServiceEntityType'
        webServiceType:
          $ref: '#/components/schemas/WebServiceType'
        isReadyForExportAfterScheduledExport:
          type: boolean
        isReadyForExportAfterExportNow:
          type: boolean
        transportCredientialType:
          $ref: '#/components/schemas/TransportCredientialType'
        serviceButtonName:
          type:
            - 'null'
            - string
      additionalProperties: false
    FTPExportTime:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        utcHour:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        utcMinute:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        entityType:
          $ref: '#/components/schemas/ServiceEntityType'
        limitPerFile:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        recurringInterval:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        hangfireSceduledJobId:
          type:
            - 'null'
            - string
        hangfireRecurringJobId:
          type:
            - 'null'
            - string
      additionalProperties: false
    PriceSettings:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        useFuturePrice:
          type: boolean
        useSimulatePrice:
          type: boolean
        supplierSimulatePriceRights:
          $ref: '#/components/schemas/SupplierSimulatePriceRights'
        lockSupplierOnStylePriceApproval:
          type: boolean
      additionalProperties: false
    PlanType:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    PlanTier:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        modules:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/Module'
      additionalProperties: false
    OrganizationSettings:
      type: object
      properties:
        unit:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        organizationId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        hideInActiveSampleType:
          type: boolean
        hideInActiveCompanyUser:
          type: boolean
        isSupplierNameWithId:
          type: boolean
        isShowSupplierFacilities:
          type: boolean
        styleSupplierFacilityCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        isShowMainItemInStyleItemList:
          type: boolean
        searchAllStylesOrItems:
          type: boolean
        saveIllustratorFilesLocally:
          type:
            - 'null'
            - boolean
        allowSizeDescriptionFreeText:
          type: boolean
        enableStyleFilterBarcodeSearch:
          type: boolean
        setFocusOnStyleBarcodeSearch:
          type: boolean
        useFraction:
          type: boolean
        lastQualityTopicNumber:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        showStylesForActiveSeasonsOnIllustrator:
          type: boolean
        spyIntegrationVersion:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        spyWebhooksEnabled:
          type: boolean
      additionalProperties: false
    EntityPropertyChange:
      type: object
      properties:
        propertyName:
          type:
            - 'null'
            - string
        oldValue: {}
        newValue: {}
      additionalProperties: false
    ServiceType: {}
    ServiceEntityType: {}
    WebServiceType: {}
    TransportCredientialType: {}
    SupplierSimulatePriceRights: {}

````